restinio::ip_blocker Namespace Reference

## Classes

class | incoming_info_t
| An information about new incoming connection to be passed to IP-blocker object. More...
struct | noop_ip_blocker_t
| The default no-op IP-blocker. More...

## Enumerations

enum class | inspection_result_t { deny , allow }
| Enumeration of result of inspecting new incoming connection. More...

## Functions

constexpr inspection_result_t | deny () noexcept
| Shorthand for inspection_result_t::deny. More...
constexpr inspection_result_t | allow () noexcept
| Shorthand for inspection_result_t::allow. More...

## Enumeration Type Documentation

## inspection_result_t

enum class restinio::ip_blocker::inspection_result_t

strong

Enumeration of result of inspecting new incoming connection.

Since
  v.0.5.1

Enumerator
deny | New connection is disabled and should be closed.
allow | New connection is allowed to be processed further.

Definition at line 30 of file ip_blocker.hpp.

## Function Documentation

## allow()

constexpr inspection_result_t restinio::ip_blocker::allow | ( |  | ) |

inlineconstexprnoexcept

Shorthand for inspection_result_t::allow.

Since
  v.0.5.1

Examples
  sample/ip_blocker/main.cpp.

Definition at line 52 of file ip_blocker.hpp.

## deny()

constexpr inspection_result_t restinio::ip_blocker::deny | ( |  | ) |

inlineconstexprnoexcept

Shorthand for inspection_result_t::deny.

Since
  v.0.5.1

Examples
  sample/ip_blocker/main.cpp.

Definition at line 44 of file ip_blocker.hpp.